GetDedicatedIp method
Returns information about a dedicated IP address in a folder. The folder is selected based on the service account the request originates from.
Request
GET /v2/email/dedicated-ips/{IP} HTTP/2
Path parameters
|
Parameter |
Description |
|
|
Type: String. Dedicated IP address. |
Request headers
Use common request headers in your requests.
Responses
200 OK
{
"DedicatedIp": {
"Ip": "<IP_address>",
"WarmupStatus": "DONE",
"WarmupPercentage": 100,
"PoolName": "<pool_name>"
}
}
|
Parameter |
Description |
|
|
Type: String. Dedicated IP address. |
|
|
Type: String. IP warm-up status. It always returns |
|
|
Type: Integer. IP warm-up completion percentage. It always returns |
|
|
Type: String. Name of the pool the IP address belongs to. |
The 200 OK response may contain additional parameters. Its format may vary slightly from the above.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains invalid headers or parameters, or the |
|
|
The IP address was not found or does not belong to your cloud. |
|
|
The request quota was exceeded. |